Subject: Re: [netatalk-admins] pap hangs

From: Thomas Tornblom <[email-masked]>
Date: Wed, 10 Sep 1997 22:52:46 +0200 (MET DST)

> I'm running netatalk-1.4b2 on a solaris 5.5 machine.  I have pap setup with
> sun's screwy sysv lp queue system.  It works most of the time, but sometime it
> hangs.  I don't think the problem is with the LP stuff, as there is a
> perfectly good postscript file in the queue directory and a command like:
> 
> pap -c -s /tmp/papstatus -p LaserWriter 630:LaserWriter /var/spool/.../502-1
> 
> is running.  The light on the printer is flashing like it does when it is
> receiving data, except the print job has already printed!  pap is just 
> sitting there hung on something.  papstatus reports:
> 
> status: busy; source: EtherTalk
> 
> Is this some known bug?  Could it be some problem with defective firmware
> in the printer?
> 

Yes, this is a classic one that bit me for along time. 

Add a '-E' to the command line and pap will work around the bugs in the printer. 
This goes for, I believe, all AppleTalk connected Apple printers.

Real life:      Thomas Törnblom             Email:  [email-masked]
Snail mail:     HB Hax                      Phone:    +46  18 290 290
                Banvallsvägen 14            Fax:      +46  18 290 291
                S - 754 40 Uppsala, Sweden  Cellular: +46 708 323118